{

    "AbilityName": "Battery_IdleEffect",

    "AbilityStacking": "Unique",



    "AbilityMixins": 

    [

        {

            "$type": "MoleMole.AttachStateWithModifierMixin",

            "ConfigList": 

            [

                {

                    "AnimatorStateName": "Idle_Unactive",

                    "LayerIndex": 0,

                    "NormalizedTimeLow": 0.0,

                    "NormalizedTimeHigh": 1.0,

                    "IsLoop": true,

                    "ModifierNameList": 

                    [

                        "Idle1Modifier"

                    ]

                }

            ]

        }

    ],



    "Modifiers": 

    {

        "Idle1Modifier": 

        {

            "ModifierStacking": "Unique",

            "Duration": -1,



            "OnAdded": 

            [

                {

                    "$type": "MoleMole.AttachEffect",

                    "EffectPattern": "Eff_Device_Battery_Idle_01",

                    "Target": "Self",

                    "AttachEffectPosRot" : 

                    {

                        "CoordsOption" : "ReferTarget",

                        "TargetOption" : 

                        {

                            "$type" : "MoleMole.ConfigPosRotReferTarget",

                            "OffsetReferTarget" : "Self",

                            "IsUseAttachPointPos" : true,

                            "IsUseAttachPointRotation" : true

                        },

                        "Offset" : 

                        {

                            "PositionOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "IsUseRotationY" : true,

                            "IsUseRotationXZ" : true

                        }

                    }

                }

            ]

        }

    }

}